swagger: '2.0'
info:
  description: Configuration for Instance Score resource.
  version: 'v2'
  title: instance_score
host: 'adm.cloud.com'
schemes:
 - https
# tags are used for organizing operations
tags:
  - name: instance_score
    description: Instance Score
consumes:
  - application/json
produces:
  - application/json
securityDefinitions:
  UserSecurity:
    type: basic
security:
  - UserSecurity: []
parameters:
  idParam:
   name: id
   in: path
   type: string
   description: Id is system generated key
   required: true
  authParam:
      in: header
      name: Authorization
      type: string
      required: true
      description: Session Id for authentication.Should be mentioned in the format CwsAuth bearer=sessionIdValue
  cloudParam:
      in: header
      name: isCloud
      type: string
      required: true
      description: set the value to true in case of Cloud services, false for on-prem deployment
paths:
  /massvc/{customerid}/nitro/v2/config/instance_score:
    get:
      tags:
        - instance_score
      summary: GET all instance_score
      operationId: getall_instance_score
      description: Use this operation to get device score
      consumes:
        - application/json
      produces:
        - application/json
      parameters:
        - in: path
          name: customerid
          type: string
          required: true
          description: Customer Id of the user
        - in: header
          name: Authorization
          type: string
          required: true
          description: Session Id for authentication.Should be mentioned in the format CwsAuth bearer=sessionIdValue
        - in: header
          name: isCloud
          type: string
          required: true
          description: set the value to true in case of Cloud services, false for on-prem deployment
        - in: query
          name: filter
          type: string
          required: false
          description: "Use this query-parameter to get the filtered set of vm_device resources configured on the system. You can set a filter on any property of the resource.Example:  property-name1:property-value1 "
        - in: query
          name: pagesize
          type: integer
          required: false
          description: Use this query-parameter to get the instance_score resources in chunks.To be used along with pageno query parameter.
        - in: query
          name: pageno
          type: integer
          required: false
          description: Use this query-parameter to get the instance_score resources in chunks.To be used along with pagesize query parameter.
        - in: query
          name: count
          type: string
          required: false
          description: Use this query-parameter to get the count of instance_score resources.
          enum:
            - yes
      responses:
        200:
          description:  for instance_score
          schema: 
              $ref: '#/definitions/getinstance_scoresResponse'
        400:
          description: Bad input parameter
          schema: 
              $ref: '#/definitions/Error'
        401:
          description: Failed Authentication
          schema: 
              $ref: '#/definitions/Error'
        403:
          description: Unauthorized
          schema: 
              $ref: '#/definitions/Error'
        404:
          description: Item not found
          schema: 
              $ref: '#/definitions/Error'
        409:
          description: Resource Conflict
          schema: 
              $ref: '#/definitions/Error'
        500:
          description: Server Error
          schema: 
              $ref: '#/definitions/Error'
        504:
          description: Gateway Timeout
          schema: 
              $ref: '#/definitions/Error'

  /massvc/{customerid}/nitro/v2/config/instance_score/{id}:
    get:
      tags:
        - instance_score
      summary: GET by key for instance_score
      operationId: getbykey_instance_score
      description: Use this operation to get device score
      consumes:
        - application/json
      produces:
        - application/json
      parameters:
        - $ref: '#/parameters/idParam'
        - in: path
          name: customerid
          type: string
          required: true
          description: Customer Id of the user
        - in: header
          name: Authorization
          type: string
          required: true
          description: Session Id for authentication.Should be mentioned in the format CwsAuth bearer=sessionIdValue
        - in: header
          name: isCloud
          type: string
          required: true
          description: set the value to true in case of Cloud services, false for on-prem deployment
      responses:
        200:
          description:  for instance_score
          schema: 
              $ref: '#/definitions/getinstance_scoreResponse'
        400:
          description: Bad input parameter
          schema: 
              $ref: '#/definitions/Error'
        401:
          description: Failed Authentication
          schema: 
              $ref: '#/definitions/Error'
        403:
          description: Unauthorized
          schema: 
              $ref: '#/definitions/Error'
        404:
          description: Item not found
          schema: 
              $ref: '#/definitions/Error'
        409:
          description: Resource Conflict
          schema: 
              $ref: '#/definitions/Error'
        500:
          description: Server Error
          schema: 
              $ref: '#/definitions/Error'
        504:
          description: Gateway Timeout
          schema: 
              $ref: '#/definitions/Error'

definitions:
  getinstance_scoreResponse:
    type: object
    required:
      - instance_score
    properties:
      instance_score:
        $ref: '#/definitions/instance_score'
    title: getinstance_scoreResponse
    example:
      instance_score:
        data_nic_discards_in: "0"
        data_rl_ssl_tps: "0"
        num_rl_ssl_throughput: "0"
        num_rl_cpu: "0"
        hostname: "NA"
        ind_sslcert_notrecommended_algorithm: "0"
        vm_memory_total: "2048"
        ind_rl_cpu: "0"
        num_sslcert_notrecommended_keystrengh: "0"
        num_applications_total: "0"
        data_pooled_license_events: "NA"
        ind_flash_error: "0"
        data_capacity_mem: "NA"
        ind_rule_networking: "0"
        instance_state: "NA"
        data_cpu_used_mgmt: "0"
        data_rl_rate: "0"
        ind_sslcert_expiry_due: "0"
        num_rule_capacity: "0"
        num_rule_networking: "0"
        ssl_transaction_rate: "0"
        num_applications_managed: "0"
        ind_rl_pps: "0"
        ind_rule_capacity: "0"
        num_total_errors: "0"
        ind_cpu_used: "0"
        num_critical_events: "0"
        data_disk0_total: "0"
        ind_power_error: "0"
        num_rl_ssl_tps: "0"
        data_disk1_free: "0"
        current_instance_state: "NA"
        data_rl_pps: "0"
        tcpserver_connection: "0"
        httprequest_rate: "0"
        tenant_id: "NA"
        data_rl_cpu: "0"
        num_config_deviation_errors: "0"
        num_rl_rate: "0"
        num_sslcert_expired: "0"
        site_name: "NA"
        data_disk0_free: "0"
        ind_capacity_cpu: "integer_value"
        num_platform_pps_events: "0"
        data_memory_used: "0"
        data_rl_ssl_throughput: "0"
        rx_throughput: "0"
        datacenter_id: "NA"
        version: "NA"
        num_rule_security: "0"
        managed_device_id: "NA"
        num_capacity_mem: "integer_value"
        data_rule_security: "NA"
        data_platform_pps_events: "NA"
        num_aggregate_bw_events: "0"
        num_systemresource_errors: "0"
        data_disk1_used: "0"
        num_rule_system_resource: "0"
        model: "NA"
        num_configdrift_template: "0"
        tcpclient_connection: "0"
        num_pooled_license_events: "0"
        ind_sslcert_notrecommended_issuer: "0"
        data_rule_networking: "NA"
        ind_sslcert_expired: "0"
        num_sslcert_expiry_due: "0"
        uptime: "NA"
        data_critical_events: "NA"
        id: "c970e730-6bc5-44c2-a2bf-8dd1382ffb5f"
        num_ssl_errors: "0"
        data_disk0_used: "0"
        ind_memory_used: "0"
        ind_configdrift_default: "0"
        tx_throughput: "0"
        num_rl_pps: "0"
        is_clip: "boolean_value"
        num_ssl_cards: "0"
        data_rule_config: "NA"
        poll_time: "number_value"
        httpresponse_rate: "0"
        ind_rl_ssl_tps: "0"
        ind_rl_rate: "0"
        scale: "NA"
        system_poll_time: "number_value"
        type: "NA"
        num_capacity_cpu: "integer_value"
        ind_rl_ssl_throughput: "0"
        data_rule_capacity: "NA"
        ind_configdrift_template: "0"
        ind_rule_security: "0"
        ind_harddiskdrive_error: "0"
        data_memory_free: "0"
        num_capacity_errors: "0"
        ind_rule_system_resource: "0"
        num_vservers_total: "0"
        ind_sslcert_notrecommended_keystrengh: "0"
        data_capacity_cpu: "NA"
        num_rule_config: "0"
        cluster_node_ip_list: "NA"
        ip_address: "1.1.1.1"
        data_rule_system_resource: "NA"
        data_aggregate_bw_events: "NA"
        ind_nic_discards: "0"
        max_contribution: "NA"
        ind_disk_used: "0"
        ind_platform_pps_events: "0"
        num_vservers_active: "0"
        ind_rule_config: "0"
        ind_aggregate_bw_events: "0"
        score: "0"
        display_name: "NA"
        num_sslcert_notrecommended_algorithm: "0"
        data_cpu_used_packet: "0"
        data_disk1_total: "0"
        ind_pooled_license_events: "0"
        ind_ssl_card_error: "0"
        data_nic_discards_out: "0"
        num_sslcert_notrecommended_issuer: "0"
        ind_capacity_mem: "integer_value"
        th_rl_pps_high: "number_value"
        th_memory_used_high: "number_value"
        th_nic_discards_high: "number_value"
        th_rl_rate_high: "number_value"
        th_rl_ssl_throughput_high: "number_value"
        th_cpu_used_low: "number_value"
        th_disk_used_low: "number_value"
        th_memory_used_low: "number_value"
        th_cpu_used_high: "number_value"
        th_rl_ssl_tps_high: "number_value"
        th_disk_used_high: "number_value"
        entity_tag: [{        prop_value: "string_value"
,        prop_key: "string_value"
}]
        th_rl_cpu_high: "number_value"

  getinstance_scoresResponse:
    type: object
    required:
      - instance_score
    properties:
      instance_score:
        type: array
        items:
          $ref: '#/definitions/instance_score'
    title: getinstance_scoresResponse
    example:
      instance_score:
        data_nic_discards_in: "0"
        data_rl_ssl_tps: "0"
        num_rl_ssl_throughput: "0"
        num_rl_cpu: "0"
        hostname: "NA"
        ind_sslcert_notrecommended_algorithm: "0"
        vm_memory_total: "2048"
        ind_rl_cpu: "0"
        num_sslcert_notrecommended_keystrengh: "0"
        num_applications_total: "0"
        data_pooled_license_events: "NA"
        ind_flash_error: "0"
        data_capacity_mem: "NA"
        ind_rule_networking: "0"
        instance_state: "NA"
        data_cpu_used_mgmt: "0"
        data_rl_rate: "0"
        ind_sslcert_expiry_due: "0"
        num_rule_capacity: "0"
        num_rule_networking: "0"
        ssl_transaction_rate: "0"
        num_applications_managed: "0"
        ind_rl_pps: "0"
        ind_rule_capacity: "0"
        num_total_errors: "0"
        ind_cpu_used: "0"
        num_critical_events: "0"
        data_disk0_total: "0"
        ind_power_error: "0"
        num_rl_ssl_tps: "0"
        data_disk1_free: "0"
        current_instance_state: "NA"
        data_rl_pps: "0"
        tcpserver_connection: "0"
        httprequest_rate: "0"
        tenant_id: "NA"
        data_rl_cpu: "0"
        num_config_deviation_errors: "0"
        num_rl_rate: "0"
        num_sslcert_expired: "0"
        site_name: "NA"
        data_disk0_free: "0"
        ind_capacity_cpu: "integer_value"
        num_platform_pps_events: "0"
        data_memory_used: "0"
        data_rl_ssl_throughput: "0"
        rx_throughput: "0"
        datacenter_id: "NA"
        version: "NA"
        num_rule_security: "0"
        managed_device_id: "NA"
        num_capacity_mem: "integer_value"
        data_rule_security: "NA"
        data_platform_pps_events: "NA"
        num_aggregate_bw_events: "0"
        num_systemresource_errors: "0"
        data_disk1_used: "0"
        num_rule_system_resource: "0"
        model: "NA"
        num_configdrift_template: "0"
        tcpclient_connection: "0"
        num_pooled_license_events: "0"
        ind_sslcert_notrecommended_issuer: "0"
        data_rule_networking: "NA"
        ind_sslcert_expired: "0"
        num_sslcert_expiry_due: "0"
        uptime: "NA"
        data_critical_events: "NA"
        id: "c970e730-6bc5-44c2-a2bf-8dd1382ffb5f"
        num_ssl_errors: "0"
        data_disk0_used: "0"
        ind_memory_used: "0"
        ind_configdrift_default: "0"
        tx_throughput: "0"
        num_rl_pps: "0"
        is_clip: "boolean_value"
        num_ssl_cards: "0"
        data_rule_config: "NA"
        poll_time: "number_value"
        httpresponse_rate: "0"
        ind_rl_ssl_tps: "0"
        ind_rl_rate: "0"
        scale: "NA"
        system_poll_time: "number_value"
        type: "NA"
        num_capacity_cpu: "integer_value"
        ind_rl_ssl_throughput: "0"
        data_rule_capacity: "NA"
        ind_configdrift_template: "0"
        ind_rule_security: "0"
        ind_harddiskdrive_error: "0"
        data_memory_free: "0"
        num_capacity_errors: "0"
        ind_rule_system_resource: "0"
        num_vservers_total: "0"
        ind_sslcert_notrecommended_keystrengh: "0"
        data_capacity_cpu: "NA"
        num_rule_config: "0"
        cluster_node_ip_list: "NA"
        ip_address: "1.1.1.1"
        data_rule_system_resource: "NA"
        data_aggregate_bw_events: "NA"
        ind_nic_discards: "0"
        max_contribution: "NA"
        ind_disk_used: "0"
        ind_platform_pps_events: "0"
        num_vservers_active: "0"
        ind_rule_config: "0"
        ind_aggregate_bw_events: "0"
        score: "0"
        display_name: "NA"
        num_sslcert_notrecommended_algorithm: "0"
        data_cpu_used_packet: "0"
        data_disk1_total: "0"
        ind_pooled_license_events: "0"
        ind_ssl_card_error: "0"
        data_nic_discards_out: "0"
        num_sslcert_notrecommended_issuer: "0"
        ind_capacity_mem: "integer_value"
        th_rl_pps_high: "number_value"
        th_memory_used_high: "number_value"
        th_nic_discards_high: "number_value"
        th_rl_rate_high: "number_value"
        th_rl_ssl_throughput_high: "number_value"
        th_cpu_used_low: "number_value"
        th_disk_used_low: "number_value"
        th_memory_used_low: "number_value"
        th_cpu_used_high: "number_value"
        th_rl_ssl_tps_high: "number_value"
        th_disk_used_high: "number_value"
        entity_tag: [{        prop_value: "string_value"
,        prop_key: "string_value"
}]
        th_rl_cpu_high: "number_value"

  instance_score_readwrite:
    type: object
    properties:
      data_nic_discards_in:
        description: "nic discards on incoming packets indicating device name and the number of nic discards"
        type: number
        format: double
      data_rl_ssl_tps:
        description: "Number of times the SSL transactions/s(TPS) rate limit was reached"
        type: number
        format: double
      num_rl_ssl_throughput:
        description: "Number of times the SSL Throughput rate limit was reached from the last poll cycle"
        type: integer
        format: int32
      num_rl_cpu:
        description: "Number of packets dropped when the CPU rate limit was reached from the last poll cycle"
        type: integer
        format: int32
      hostname:
        description: "Assign hostname to managed device, if this is not provided, name will be set as host name "
        type: string
        format: string
        minLength: 1
        maxLength: 256
      ind_sslcert_notrecommended_algorithm:
        description: "Indicates where ssl certs of not recommended algorithm exists or not.0 indicates no errors, 1 indicate error and -1 indicates Not-Applicable or Unknown"
        type: integer
        format: int32
      vm_memory_total:
        description: "Total Memory of VM Instance in MB. 2048MB, 5120MB"
        type: number
        format: double
      ind_rl_cpu:
        description: "Indicates if the CPU rate limit was reached"
        type: integer
        format: int32
      num_sslcert_notrecommended_keystrengh:
        description: "Number of not recommended key strength certificates"
        type: integer
        format: int32
      num_applications_total:
        description: "Number of total applications"
        type: integer
        format: int32
      data_pooled_license_events:
        description: "List of categories from active_event table representing the current outstanding pooled license events"
        type: string
        format: string
      ind_flash_error:
        description: "Flash Indicator.0 indicates no errors, 1 indicate error and -1 indicates Not-Applicable or Unknown"
        type: integer
        format: int32
      data_capacity_mem:
        description: "MEM predicted values. Stores comma separated list of data"
        type: string
        format: string
      ind_rule_networking:
        description: "Indicates if errors related to networking rules on has occured or not.0 indicates no errors,1 indicates errors,-1 indicates not evaluated"
        type: integer
        format: int32
      instance_state:
        description: "State of device, UP only if device accessible"
        type: string
        format: string
        minLength: 1
        maxLength: 64
      data_cpu_used_mgmt:
        description: "Management Cpu usage percentage"
        type: number
        format: double
      data_rl_rate:
        description: "Number of packets dropped when the throughput rate limit was reached"
        type: number
        format: double
      ind_sslcert_expiry_due:
        description: "Indicator of SSL Cert expiry in the next 7 days"
        type: integer
        format: int32
      num_rule_capacity:
        description: "Number of rules occuring in the poll cycle for Capacity category"
        type: integer
        format: int32
      num_rule_networking:
        description: "Number of rules occuring in the poll cycle for networking category"
        type: integer
        format: int32
      ssl_transaction_rate:
        description: "ssltransactionsrate Value"
        type: number
        format: double
      num_applications_managed:
        description: "Number of managed applications"
        type: integer
        format: int32
      ind_rl_pps:
        description: "Indicates if the packet/s(PPS) rate limit was reached"
        type: integer
        format: int32
      ind_rule_capacity:
        description: "Indicates if errors related to Capacity rules on has occured or not.0 indicates no errors,1 indicates errors,-1 indicates not evaluated"
        type: integer
        format: int32
      num_total_errors:
        description: "Number of total failures"
        type: integer
        format: int32
      ind_cpu_used:
        description: "CPU Usage Indicator. 0 indicates no errors, 1 indicate error and -1 indicates Not-Applicable or Unknown"
        type: integer
        format: int32
      num_critical_events:
        description: "Number of total critical events"
        type: integer
        format: int32
      data_disk0_total:
        description: "Disk0 total space in MB"
        type: number
        format: double
      ind_power_error:
        description: "Power Indicator. 0 indicates no errors, 1 indicate error and -1 indicates Not-Applicable or Unknown"
        type: integer
        format: int32
      num_rl_ssl_tps:
        description: "Number of times the SSL transactions/s(TPS) rate limit was reached from last poll cycle"
        type: integer
        format: int32
      data_disk1_free:
        description: "Disk1 free space in MB"
        type: number
        format: double
      current_instance_state:
        description: "Current State of device, UP only if device accessible"
        type: string
        format: string
        minLength: 1
        maxLength: 64
      data_rl_pps:
        description: "Number of packets dropped when the packet/s(PPS) rate limit was reached"
        type: number
        format: double
      tcpserver_connection:
        description: "tcpcurserverconnestablished   Value "
        type: number
        format: double
      httprequest_rate:
        description: "httprxrequestbytesrate Value"
        type: number
        format: double
      data_rl_cpu:
        description: "Number of packets dropped when the CPU rate limit was reached"
        type: number
        format: double
      num_config_deviation_errors:
        description: "Number of total config drifts"
        type: integer
        format: int32
      num_rl_rate:
        description: "Number of packets dropped when the throughput rate limit was reached from the last poll cycle"
        type: integer
        format: int32
      num_sslcert_expired:
        description: "Number of ssl certs expired"
        type: integer
        format: int32
      site_name:
        description: "Datacenter Name"
        type: string
        format: string
      data_disk0_free:
        description: "Disk0 Free space in MB"
        type: number
        format: double
      ind_capacity_cpu:
        description: "Indicates event occurs.0 indicates no ,1 indicates event occurs,-1 indicates not evaluated"
        type: integer
        format: int32
      num_platform_pps_events:
        description: "Total number of errors related to Platform PPS"
        type: integer
        format: int32
      data_memory_used:
        description: "Data Memory used in percentage"
        type: number
        format: double
      data_rl_ssl_throughput:
        description: "Number of times the SSL Throughput rate limit was reached"
        type: number
        format: double
      rx_throughput:
        description: "rxmbitsrate Value"
        type: number
        format: double
      datacenter_id:
        description: "Datacenter Id"
        type: string
        format: string
      version:
        description: "version"
        type: string
        format: string
      num_rule_security:
        description: "Number of rules occuring in the poll cycle for Security category"
        type: integer
        format: int32
      managed_device_id:
        description: "id of the instance in managed device table"
        type: string
        format: string
      num_capacity_mem:
        description: "Number of occuring in the poll cycle"
        type: integer
        format: int32
      data_rule_security:
        description: "Rules triggered for Security errors. Stores comma separated list of rules data in the format ruleid:rulename.Example id1:name1,id2:name2"
        type: string
        format: string
      data_platform_pps_events:
        description: "List of categories from active_event table representing the current outstanding platform PPS events"
        type: string
        format: string
      num_aggregate_bw_events:
        description: "Total number of errors related to Aggregate Bandwidth"
        type: integer
        format: int32
      num_systemresource_errors:
        description: "Number of total system resource failures"
        type: integer
        format: int32
      data_disk1_used:
        description: "Disk1 used space in percentage"
        type: number
        format: double
      num_rule_system_resource:
        description: "Number of rules occuring in the poll cycle for system resource category"
        type: integer
        format: int32
      model:
        description: "model"
        type: string
        format: string
      num_configdrift_template:
        description: "Number of RunningVsTemplate Diffs"
        type: integer
        format: int32
      tcpclient_connection:
        description: "tcpcurclientconnestablished   Value"
        type: number
        format: double
      num_pooled_license_events:
        description: "Total number of erros related to pooled license"
        type: integer
        format: int32
      ind_sslcert_notrecommended_issuer:
        description: "Indicates where ssl certs of not recommended issuer exists or not.0 indicates no errors, 1 indicate error and -1 indicates Not-Applicable or Unknown"
        type: integer
        format: int32
      data_rule_networking:
        description: "Rules triggered for Networking errors. Stores comma separated list of rules data in the format ruleid:rulename.Example id1:name1,id2:name2"
        type: string
        format: string
      ind_sslcert_expired:
        description: "Indicates if there are any expired SSL Certs.0 indicates no expiry, 1 indicates expiry and -1 indicates Not-Applicable or Unknown"
        type: integer
        format: int32
      num_sslcert_expiry_due:
        description: "Number of ssl certs to expire within the next 7 days"
        type: integer
        format: int32
      uptime:
        description: "Up time"
        type: string
        format: string
      data_critical_events:
        description: "List of categories from active_event table representing the current outstanding critical events"
        type: string
        format: string
      num_ssl_errors:
        description: "Number of total errors related to SSL Certificates"
        type: integer
        format: int32
      data_disk0_used:
        description: "Disk0 used space in percentage"
        type: number
        format: double
      ind_memory_used:
        description: "Memory Usage Indicator. 0 indicates no errors, 1 indicate error and -1 indicates Not-Applicable or Unknown"
        type: integer
        format: int32
      ind_configdrift_default:
        description: "SavedVsRunning diff state.0 indicates no errors, 1 indicate error and -1 indicates Not-Applicable or Unknown"
        type: integer
        format: int32
      tx_throughput:
        description: "txmbitsrate Value"
        type: number
        format: double
      num_rl_pps:
        description: "Number of packets dropped when the packet/s(PPS) rate limit was reached from the last polll cycle"
        type: integer
        format: int32
      is_clip:
        description: "Is Clip"
        type: boolean
        format: boolean
      num_ssl_cards:
        description: "Number of ssl cards"
        type: integer
        format: int32
      data_rule_config:
        description: "Rules triggered for Config errors. Stores comma separated list of rules data in the format ruleid:rulename.Example id1:name1,id2:name2"
        type: string
        format: string
      poll_time:
        description: "Poll time in seconds"
        type: number
        format: int64
      httpresponse_rate:
        description: "httprxresponsebytesrate Value"
        type: number
        format: double
      ind_rl_ssl_tps:
        description: "Indicates if the SSL transactions/s(TPS) rate limit was reached"
        type: integer
        format: int32
      ind_rl_rate:
        description: "Indicates if the throughput rate limit was reached"
        type: integer
        format: int32
      scale:
        description: "Scale"
        type: string
        format: string
      system_poll_time:
        description: "Time when the device score poll was initiated for this tenant in seconds"
        type: number
        format: int64
      type:
        description: "Type"
        type: string
        format: string
      num_capacity_cpu:
        description: "Number of occuring in the poll cycle"
        type: integer
        format: int32
      ind_rl_ssl_throughput:
        description: "Indicates if the SSL Throughput rate limit was reached"
        type: integer
        format: int32
      data_rule_capacity:
        description: "Rules triggered for Capacity errors. Stores comma separated list of rules data in the format ruleid:rulename.Example id1:name1,id2:name2"
        type: string
        format: string
      ind_configdrift_template:
        description: "RunningVsTemplate diff state"
        type: integer
        format: int32
      ind_rule_security:
        description: "Indicates if errors related to Security rules on has occured or not.0 indicates no errors,1 indicates errors,-1 indicates not evaluated"
        type: integer
        format: int32
      ind_harddiskdrive_error:
        description: "Hard disk drive error indicator.0 indicates no errors, 1 indicate error and -1 indicates Not-Applicable or Unknown"
        type: integer
        format: int32
      data_memory_free:
        description: "Memory Available in MB"
        type: number
        format: double
      num_capacity_errors:
        description: "Number of total system capacity failures"
        type: integer
        format: int32
      ind_rule_system_resource:
        description: "Indicates if errors related to system resource rules on has occured or not.0 indicates no errors,1 indicates errors,-1 indicates not evaluated"
        type: integer
        format: int32
      num_vservers_total:
        description: "Number of total vservers"
        type: integer
        format: int32
      ind_sslcert_notrecommended_keystrengh:
        description: "Not recommeded key strength certificates exists or not.0 indicates no errors, 1 indicate error and -1 indicates Not-Applicable or Unknown"
        type: integer
        format: int32
      data_capacity_cpu:
        description: "CPU predicted values. Stores comma separated list of data"
        type: string
        format: string
      num_rule_config:
        description: "Number of rules occuring in the poll cycle for config category"
        type: integer
        format: int32
      cluster_node_ip_list:
        description: "Comma separated list of cluster node IPs"
        type: string
        format: string
      ip_address:
        description: "IP Address for this managed device"
        type: string
        format: IP Address
        minLength: 1
        maxLength: 64
      data_rule_system_resource:
        description: "Rules triggered for system resource errors. Stores comma separated list of rules data in the format ruleid:rulename.Example id1:name1,id2:name2"
        type: string
        format: string
      data_aggregate_bw_events:
        description: "List of categories from active_event table representing the current outstanding aggregate bandwidth events"
        type: string
        format: string
      ind_nic_discards:
        description: "Indicates if errors related to nic discards on incoming/outgoing packets has occured or not"
        type: integer
        format: int32
      max_contribution:
        description: "Instance score category contributing to the maximum errors"
        type: string
        format: string
      ind_disk_used:
        description: "Disk Usage Indicator. 0 indicates no errors, 1 indicate error and -1 indicates Not-Applicable or Unknown"
        type: integer
        format: int32
      ind_platform_pps_events:
        description: "Indicates if errors related to Platform PPS has occured or not"
        type: integer
        format: int32
      num_vservers_active:
        description: "Number of active vservers"
        type: integer
        format: int32
      ind_rule_config:
        description: "Indicates if errors related to Config rules on has occured or not.0 indicates no errors,1 indicates errors,-1 indicates not evaluated"
        type: integer
        format: int32
      ind_aggregate_bw_events:
        description: "Indicates if errors related to Aggregate Bandwidth has occurred or not"
        type: integer
        format: int32
      score:
        description: "Total Instance score"
        type: integer
        format: int32
      display_name:
        description: "Display Name for this managed device. For HA pair it will be A-B, and for Cluster it will be CLIP"
        type: string
        format: string
        minLength: 1
        maxLength: 128
      num_sslcert_notrecommended_algorithm:
        description: "Number of sslcert with non recommended algorithm"
        type: integer
        format: int32
      data_cpu_used_packet:
        description: "Packet Cpu usage percentage"
        type: number
        format: double
      data_disk1_total:
        description: "Disk1 total space in MB"
        type: number
        format: double
      ind_pooled_license_events:
        description: "Indicates if  erros related to pooled license has occured or not"
        type: integer
        format: int32
      ind_ssl_card_error:
        description: "SSL card failure state indicator.0 indicates no errors, 1 indicate error and -1 indicates Not-Applicable or Unknown"
        type: integer
        format: int32
      data_nic_discards_out:
        description: "nic discards on outgoing packets indicating device name and the number of nic discards"
        type: number
        format: double
      num_sslcert_notrecommended_issuer:
        description: "Number of not recommended issuer certificates"
        type: integer
        format: int32
      ind_capacity_mem:
        description: "Indicates event occurs.0 indicates no ,1 indicates event occurs,-1 indicates not evaluated"
        type: integer
        format: int32
      th_rl_pps_high:
        description: "RL PPS high threshold"
        type: number
        format: double
      th_memory_used_high:
        description: "Memory high threshold"
        type: number
        format: double
      th_nic_discards_high:
        description: "Nic discards high threshold"
        type: number
        format: double
      th_rl_rate_high:
        description: "RL rate high threshold"
        type: number
        format: double
      th_rl_ssl_throughput_high:
        description: "RL SSL Throughput high threshold"
        type: number
        format: double
      th_cpu_used_low:
        description: "CPU low threshold"
        type: number
        format: double
      th_disk_used_low:
        description: "Disk low threshold"
        type: number
        format: double
      th_memory_used_low:
        description: "Memory low threshold"
        type: number
        format: double
      th_cpu_used_high:
        description: "CPU high threshold"
        type: number
        format: double
      th_rl_ssl_tps_high:
        description: "RL SSL TPS high threshold"
        type: number
        format: double
      th_disk_used_high:
        description: "Disk high threshold"
        type: number
        format: double
      entity_tag:
        type: array
        items:
          $ref: '#/definitions/property_map_readwrite'
      th_rl_cpu_high:
        description: "RL CPU high threshold"
        type: number
        format: double

  instance_score:
    allOf:
      -
        properties:
          id:
            description: Id is system generated key
            type: string
            format: string
          tenant_id:
             description: "Tenant ID"
             type: string
             format: string
             minLength: 1
             maxLength: 128
      - $ref: '#/definitions/instance_score_readwrite'

  property_map_readwrite:
    type: object
    properties:
      prop_value:
        description: "Property value"
        type: string
        format: string
        minLength: 1
        maxLength: 512
      prop_key:
        description: "Property key"
        type: string
        format: string
        minLength: 1
        maxLength: 128

  property_map:
    allOf:
      - $ref: '#/definitions/property_map_readwrite'

  Error:
    properties:
      errorcode:
        type: number
        format: int32
        example: 1001
      errormessage:
        type: string
        format: string
        example: "id cannot be found"
